Subject: Re: bug#55252: Bugtrace error computing guix derivation
From: Julien Lepiller <[email-masked]>
To: Pedro Herrero Garcia <[email-masked]>, [email-masked]
Date: Sat, 07 May 2022 12:11:11 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Thanks for letting me know :)

I'm closing this issue then. Next time, please make sure to reply all so everyone can follow what's happening.

Enjoy your up-to-date Guix!

On May 7, 2022 10:01:21 AM GMT+02:00, Pedro Herrero Garcia <[email-masked]> wrote:
>Hi Julien,
>yes I was able to do guix pull thank you. I made a couple of "guix package
>-- roll-back" because I thought It could be one of the last packages I
>wanted. But If It was the server is good to know.
>Thank you!
>
>El mié., 4 may. 2022 7:25, Julien Lepiller <[email-masked]> escribió:
>
>> Hi Pedro,
>>
>> I believe this was caused by a network issue (&nar-error). We lost our
>> main server for a few hours when you tried running guix pull.
>>
>> Could you try again and report success/failure?
>>
>> Thanks for reporting the issue! It's much appreciated :)
>>
>> On May 3, 2022 11:18:16 PM GMT+02:00, Pedro Herrero Garcia <
>> [email-masked]> wrote:
>>>
>>> Intel® Core™ i7-8550U CPU @ 1.80GHz × 8
>>> Mesa Intel® UHD Graphics 620 (KBL GT2)
>>> Guix System, 64 bits, GNOME 40.4, X11
>>>
>>> After guix pull
>>>
>>> -------------------------------------------------------------------------------------------
>>> Computing Guix derivation for 'x86_64-linux'... \Backtrace:
>>>           17 (primitive-load
>>> "/gnu/store/9x5ixhawcvbyjcg23m2cwg7ja52x2f6l-compute-guix-derivation")
>>> In ice-9/eval.scm:
>>>     155:9 16 (_ _)
>>>     159:9 15 (_ #(#(#(#(#(#(#(#(#(#(#(#(#(#(#(#(#<directory (guile-u?> ?)
>>> ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?))
>>> In ice-9/boot-9.scm:
>>>     152:2 14 (with-fluid* _ _ _)
>>>     152:2 13 (with-fluid* _ _ _)
>>> In ./guix/store.scm:
>>>   2129:24 12 (run-with-store #<store-connection 256.99 7f52432db140>
>>> #<procedure 7f5229f8b6e0 at ./guix/self.scm:12?> ?)
>>>    1966:8 11 (_ #<store-connection 256.99 7f52432db140>)
>>> In ./guix/gexp.scm:
>>>    300:22 10 (_ #<store-connection 256.99 7f52432db140>)
>>>    1181:2  9 (_ #<store-connection 256.99 7f5236bf2fa0>)
>>>    1047:2  8 (_ #<store-connection 256.99 7f5236bf2fa0>)
>>>     893:4  7 (_ #<store-connection 256.99 7f5236bf2fa0>)
>>> In ./guix/store.scm:
>>>   2014:12  6 (_ #<store-connection 256.99 7f5236bf2fa0>)
>>>    1406:5  5 (map/accumulate-builds #<store-connection 256.99
>>> 7f5236bf2fa0> #<procedure 7f523368b320 at ./guix/stor?> ?)
>>>   1421:15  4 (_ #<store-connection 256.99 7f5236bf2fa0>
>>> ("/gnu/store/gcvv1i5shqmkd6x1pjwjdrvr7z4lb5ss-guile-ssh-?" ?) ?)
>>>   1421:15  3 (loop #f)
>>>    733:11  2 (process-stderr #<store-connection 256.99 7f5236bf2fa0> _)
>>> In ./guix/serialization.scm:
>>>    102:11  1 (read-int #<input-output: file 10>)
>>>      80:6  0 (get-bytevector-n* #<input-output: file 10> 8)
>>>
>>> ./guix/serialization.scm:80:6: In procedure get-bytevector-n*:
>>> ERROR:
>>>   1. &nar-error:
>>>       file: #f
>>>       port: #<input-output: file 10>
>>> guix pull: error: You found a bug: the program
>>> '/gnu/store/9x5ixhawcvbyjcg23m2cwg7ja52x2f6l-compute-guix-derivation'
>>> failed to compute the derivation for Guix (version:
>>> "b80ca672de936a76368de6e6ea0b28505e74d420"; system: "x86_64-linux";
>>> host version: "0a64b629ae8512790d532158a72a4a25698e8157"; pull-version:
>>> 1).
>>>
>>>